HTML Tidy 0.1

Modules | Functions
Node Interrogation

## Modules
| Deprecated node interrogation per TagId

## Functions
TidyNodeType TIDY_CALL | tidyNodeGetType (TidyNode tnod)
ctmbstr TIDY_CALL | tidyNodeGetName (TidyNode tnod)
Bool TIDY_CALL | tidyNodeIsText (TidyNode tnod)
Bool TIDY_CALL | tidyNodeIsProp (TidyDoc tdoc, TidyNode tnod)
Bool TIDY_CALL | tidyNodeIsHeader (TidyNode tnod)
Bool TIDY_CALL | tidyNodeHasText (TidyDoc tdoc, TidyNode tnod)
Bool TIDY_CALL | tidyNodeGetText (TidyDoc tdoc, TidyNode tnod, TidyBuffer *buf)
Bool TIDY_CALL | tidyNodeGetValue (TidyDoc tdoc, TidyNode tnod, TidyBuffer *buf)
TidyTagId TIDY_CALL | tidyNodeGetId (TidyNode tnod)
uint TIDY_CALL | tidyNodeLine (TidyNode tnod)
uint TIDY_CALL | tidyNodeColumn (TidyNode tnod)

## Detailed Description

Get information about any givent node.